Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1295230 (hawaii-workspace) - Review Request: hawaii-workspace - Hawaii workspace, applications and plugins
Summary: Review Request: hawaii-workspace - Hawaii workspace, applications and plugins
Keywords:
Status: CLOSED NEXTRELEASE
Alias: hawaii-workspace
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2016-01-03 19:54 UTC by Pier Luigi Fiorini
Modified: 2016-01-23 04:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-23 04:42:45 UTC
rdieter: fedora-review+


Attachments (Terms of Use)

Description Pier Luigi Fiorini 2016-01-03 19:54:04 UTC
Spec URL: https://fedorapeople.org/~plfiorini/srpms/hawaii-unstable/hawaii-workspace.spec
SRPM URL: https://fedorapeople.org/~plfiorini/srpms/hawaii-unstable/hawaii-workspace-0.5.0-1.fc23.src.rpm
Description: Hawaii runtime components.
Fedora Account System Username: plfiorini

Comment 1 Upstream Release Monitoring 2016-01-06 09:16:18 UTC
plfiorini's scratch build of hawaii-workspace-0.5.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12432693

Comment 2 Rex Dieter 2016-01-15 15:38:34 UTC
naming: ok

sources: ok
8e29d8d69bf6ffe04177ad0907f395ff  hawaii-workspace-0.5.0.tar.xz

licensing: ok

files: ok, but

1.  the filelist is small, so SHOULD track files more closely instead of using globs everywhere, with something like:
%files
...
%{_bindir}/hawaii-polkit-agent
%{_bindir}/hawaii-screenshot
%{_sysconfdir}/xdg/hawaii-polkit-agent.desktop
%{_datadir}/applications/org.hawaiios.screenshot.desktop


2. MUST validate all application .desktop files, adding
BuildRequires: desktop-file-utils
...
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.hawaiios.screenshot.desktop


3. SHOULD omit deprecated rpm tags
Group:


All in all, pretty simple and clean, only one mostly-cosmetic MUST blocker (2)... I'll leave it to you to add prior to doing any official builds.


APPROVED.

Comment 3 Pier Luigi Fiorini 2016-01-16 07:46:51 UTC
> 1.  the filelist is small, so SHOULD track files more closely instead of using globs everywhere, with something like:

Done

> 2. MUST validate all application .desktop files, adding

Done

> 3. SHOULD omit deprecated rpm tags
> Group:

Done, removed the Group tag


Updated the spec and srpm

Spec URL: https://fedorapeople.org/~plfiorini/srpms/hawaii-unstable/take2/hawaii-workspace.spec
SRPM URL: https://fedorapeople.org/~plfiorini/srpms/hawaii-unstable/take2/hawaii-workspace-0.5.0-1.fc23.src.rpm

Comment 4 Upstream Release Monitoring 2016-01-16 07:56:58 UTC
plfiorini's scratch build of hawaii-workspace-0.5.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12570615

Comment 5 Gwyn Ciesla 2016-01-16 23:09:56 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/hawaii-workspace


Note You need to log in before you can comment on or make changes to this bug.